﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">	
	<xsl:include href="editor.xsl"/>
		
	<xsl:output method="html" encoding="windows-1251"/>

	<xsl:param name="id" select="0"/>
	<xsl:param name="n" select="-1"/>
	
	<xsl:template match="/ROOT">
		<table width="100%" border="0">
			<xsl:for-each select="./row">
				<tr><td valign="top">
					<xsl:if test="position() != 1">
						[<xsl:value-of select="position() - 1"/>]
					</xsl:if>
				<xsl:value-of select="@answer" disable-output-escaping="yes"/></td></tr>
				<tr><td><hr size="1" style="color:#666666"/></td></tr>				
			</xsl:for-each>
		</table>
		<xsl:call-template name="editor">
			<xsl:with-param name="id"   select="$id"/>
			<xsl:with-param name="n"    select="$n"/>
		</xsl:call-template>
		<hr/>
		<xsl:value-of select="$n"/>
	</xsl:template>
</xsl:stylesheet>